Subject: RE: [Geopriv] coordinates

From: "Winterbottom, James" <[email-masked]>
Date: Thu, 17 Nov 2005 08:16:08 -0600

Hmmm!

Actually I see this application as being much more use in the example
that Ron and Henning gave than in the general pizza case. The reason for
this is that distance using these kinds of techniques will more than
likely be as the crow flies which is useful in a room or open space kind
of situation but less useful in a street and block scenario since the
crow-flies distances is invariable shorter than the street-trip
distance, sometimes by several times.

This is not to say that it is not a useful a function, just that it may
not be as useful at it first appears to be.

Cheers
James

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
Behalf
> Of James M. Polk
> Sent: Thursday, 17 November 2005 8:55 AM
> To: Henning Schulzrinne
> Cc: [email-masked]
> Subject: Re: [Geopriv] coordinates
> 
> Henning
> 
> I wasn't sure what Ron meant (it was one of two), so I guessed wrong
with
> how to respond. My bad...
> 
> I see the needs you list below as quite valid, and can come up with
> several
> more.  I see this as an instance of the "where's the nearest Pizza Hut
to
> me" question we brought up years ago.
> 
> What we're talking about here is the delta (in each
direction/dimension)
> from a known point in either format. I don't have my version of
GMLv3.0 or
> v3.1 in front of me at the moment, but I would be amazed if this
wasn't
> accounted for in the 550 page spec (as everything else was  ;-)
> 
> And if it is in that spec, we ought to use it here. I'm afraid Ted is
> going
> to have a cow with the thought of this fairly advanced usage written
in an
> ID somewhere... d`oh!
> 
> BTW - when I win the Trump Lotto, I'll be calling someone at Columbia
> about
> naming rights...
> 
> At 04:15 PM 11/16/2005 -0500, Henning Schulzrinne wrote:
> >James,
> >
> >let me try to add a bit of perspective to Ron's note. The issue is
that
> >we're dealing with combined geo/civic coordinates. What we'd like is
to
> be
> >able to say something like:
> >
> >"User is 3 m to the left, 5 m ahead of the (defined) corner of the
Polk
> >Auditorium, located at 1214 Amsterdam Avenue, NY, NY". (The
University
> >will gladly discuss with you how to get your own named auditorium...)
> >
> >There are several applications for that:
> >
> >- directing cameras during classes and lectures
> >- people proximity detection in large indoor venues such as stadiums
and
> >convention centers
> >- directional microphones
> >- matching faces and speakers
> >- directing jets of water to owners of ringing cell phones
> >etc.
> >
> >I don't think the use of standard geo coordinates (long/lat degrees)
> would
> >be rather inconvenient in this case. Can GML express these types of
> >reference-point relationships?
> >
> >Henning
> >
> >James M. Polk wrote:
> >>Ron
> >>The PIDF-LO already supports coordinates, borrowing from GML. In
GMLv3.0
> >>they define an XY or an XYZ as a point. In GMLv3.1, they changed
"point"
> >>to "pos" (for position) to get away from the aspect of defining the
> >>precision related to a point.  Here is a paragraph at the bottom of
page
> >>5 from the PIDF-LO ID
>
>>http://www.ietf.org/internet-drafts/draft-ietf-geopriv-pidf-lo-03.txt
> >>that discusses this, including giving a good reference (with
section)
> for
> >>the coordinate examples:
> >>"
> >>The Geography Markup Language (GML) is an extraordinarily thorough
and
> >>versatile system for modeling all manner of geographic object types,
> >>topologies, metadata, coordinate reference systems and units of
> >>measurement. The simplest package for GML supporting location
> information
> >>is the 'feature.xsd' schema. Although 'feature.xsd' can express
> >>complicated geographical concepts, it requires very little markup to
> >>provide basic coordinates points for the most common use cases.
Various
> >>format descriptions (including latitude/longitude based location
> >>information) are supported by Feature (see section 7.4.1.4 of [16]
for
> >>examples), which resides here:
> >>         urn:opengis:specification:gml:schema-xsd:feature:v3.0
> >>"
> >>This should give you a hint that this spec does cover XY and XYZ
> >>coordinates and where to look for the text of this description.
> >>At 03:35 PM 11/16/2005 -0500, Ron Shacham wrote:
> >>
> >>>Hello.
> >>>
> >>>We have found it useful in a tracking application at Columbia to
> support
> >>>the notion of coordinates within a specific place, and represent
this
> in
> >>>a presence document.  For example, in an auditorium, we wish to
keep
> >>>track of a user's (X, Y, Z) coordinates, with respect to a corner
that
> >>>is chosen as the point of reference. Although the pidf-lo format
> borrows
> >>>an existing format for representing civil location, might it
> >>>nevertheless be useful to
> >>>extend the format to include such a coordinate element?
> >>>
> >>>Regards,
> >>>Ron
> >>>
> >>>_______________________________________________
> >>>Geopriv mailing list
> >>>[email-masked]
> >>>https://www1.ietf.org/mailman/listinfo/geopriv
> >>
> >>cheers,
> >>James
> >>                                 *******************
> >>                 Truth is not to be argued... it is to be presented.
> 
> 
> cheers,
> James
> 
>                                  *******************
>                  Truth is not to be argued... it is to be presented.
> 
> _______________________________________________
> Geopriv mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/geopriv

------------------------------------------------------------------------------------------------
This message is for the designated recipient only and may
contain privileged, proprietary, or otherwise private information.  
If you have received it in error, please notify the sender
immediately and delete the original.  Any unauthorized use of
this email is prohibited.
------------------------------------------------------------------------------------------------
[mf2]

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv

---

From: "Brian Rosen" <[email-masked]>
Date: Fri, 18 Nov 2005 09:49:50 -0500

Possibly a bit of hijacking of a thread, but....

I've wondered several times how we would actually use a triangulated WiFi
location.  Presume there are several WiFi access points and presume we can
triangulate between them.  What should we do with that?  I see two
possibilities:

1. Measure, with some difficulty (possibly a lot of difficulty) the geo
coordinates of each of the APs with some accuracy.  Triangulate, and compute
the complete geo coordinate of the result.

2. Compute the offset from one of the APs and report the location of the AP
as a civic and the offset as a geo as this thread suggests.

The attraction of the former is that you get the real coordinates of the
device, which, in simplistic terms is exactly what you want.

The disadvantage is that, without a precise floor plan, what you have is
nearly useless.

The advantage of the latter is that you might actually be able to use the
result (I'm 100' NW of Room 235, Floor 2, Building A at 245 Main Street).
It wouldn't be the really nice answer, which might be Room 244, Floor 2,
...), but it would be useful.

The availability of a floor plan would tip the answer, but that is a pretty
big problem.  Until we make floor plans readily available, I think the AP
Location + offset is likely to be a lot more useful.

Brian

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Winterbottom, James
Sent: Thursday, November 17, 2005 9:16 AM
To: James M. Polk; Henning Schulzrinne
Cc: [email-masked]
Subject: RE: [Geopriv] coordinates

Hmmm!

Cheers
James

Behalf
with
to
direction/dimension)
GMLv3.0 or
wasn't
in an
that
to
Polk
University
and
GMLv3.0
"point"
page
section)
and
Various
for
this
keep
that
> >>                 Truth is not to be argued... it is to be presented.

----------------------------------------------------------------------------
--------------------
----------------------------------------------------------------------------
--------------------
[mf2]

---

From: "James M. Polk" <[email-masked]>
Date: Fri, 18 Nov 2005 12:14:47 -0600

Brian

Perhaps you are suggesting solving something at L3-7 that ought to be 
solved at L2 where the triangulation actually happens?

Further, getting the exact location of an AP is critical to doing any 
triangulation, no? So, without this ability, the whole idea of AP 
triangulation is pretty much pointless; but it is being worked on anyway, 
which ought to tell you this is being solved for already. Perhaps you/we 
need to take it on faith that someone will determine the location of each AP.

This is an operational issue anyway... not a protocol issue. Protocols 
cannot solve for everything, and we shouldn't necessarily try to make them.

cheers,
James

                                 *******************

---

From: "Brian Rosen" <[email-masked]>
Date: Sat, 19 Nov 2005 17:04:48 -0500

James

I don't think there is any implication of layer here.  While you need to
know the relationship between the points you triangulate from, you don't
need to know their world coordinates.  I'm not aware of anything being
"solved already".  I'm aware of wireless AP folks working on triangulation
between APs, but little on in what way, and with what protocol, it would be
reported.

The protocol issue is whether Location + offset is an interesting variant on
conveyance (or sighting) of location.

Brian

-----Original Message-----
From: James M. Polk [mailto:[email-masked]] 
Sent: Friday, November 18, 2005 1:15 PM
To: [email-masked]; 'Winterbottom, James'; 'Henning Schulzrinne'
Cc: [email-masked]
Subject: RE: [Geopriv] coordinates - AP location

Brian

need to take it on faith that someone will determine the location of each
AP.

cheers,
James

                                 *******************